RHS Feedback

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006201AFRF[All Projects] Generalpublic2021-03-12 08:012021-03-14 08:30
ReporterMorluck 
Assigned Toreyhard 
PrioritynoneSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.5.5 
Summary0006201: AI BMP-1 20rpm
DescriptionAI gunners for the BMP-1 series fire the 73mm approximately every 2-3 seconds at vehicles.
When a player is in the gunner position, the BMP-1's reload is between 5-6 seconds.
AI BMP-1s therefore fire about twice as fast as players could, at nearly 20 rounds per minute.
Problem occurs for both editor placed BMP-1s + crew, and zeus spawned BMPs.
Lowering the skill of the AI below 50% (default) appears to reduce the AI's reload speed.
Steps To ReproducePlace BMP-1 variant with crew either via editor or zeus.
Place vehicle target 50+ meters away from the BMP with opposing faction crewing it.
TagsNo tags attached.
Is it a wish/request?No
RHS versionStable
Arma 3 version2.00
Did you used any other mod when the error occurred?No
Which mods?RHS: AFRF, USAF, GREF, & SAF
Attached Files

- Relationships

-  Notes
(0011523)
Morluck (reporter)
2021-03-12 08:12
edited on: 2021-03-12 08:13

I used shadowplay to capture a short sample clip and uploaded it to G-drive to share, here is the link:

https://drive.google.com/file/d/1zQXMf2d4UlJ8Iq6YACqrHXTE9ZO8evkH/view [^]

(0011526)
Morluck (reporter)
2021-03-13 00:10

I went and tested adjusting AI skill settings to see if they had a demonstrable effect on the firerate and could not find significant results.

In editor I placed a gunner in a BMP-1 with an adjusted general skill value.
Using init.sqf I did _unit setSkill ["reloadSpeed", .2];.
With varying levels of general skill value and reload speed the largest difference I could see was going from 2-3 seconds between shots to 3-4 which is probably just sampling bias.

Using AI skill settings I was unable to have the AI BMP-1 gunner fire a rate close to 10rpm instead of 20rpm.

- Issue History
Date Modified Username Field Change
2021-03-12 08:01 Morluck New Issue
2021-03-12 08:12 Morluck Note Added: 0011523
2021-03-12 08:13 Morluck Note Edited: 0011523 View Revisions
2021-03-13 00:10 Morluck Note Added: 0011526
2021-03-14 08:30 reyhard Status new => resolved
2021-03-14 08:30 reyhard Fixed in Version => 0.5.5
2021-03-14 08:30 reyhard Resolution open => fixed
2021-03-14 08:30 reyhard Assigned To => reyhard


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker